package com.ruoyi.system.mapper;

import java.util.List;

import com.ruoyi.system.domain.OdsQssHsjcxx;
import com.ruoyi.system.domain.UserInfo;
import org.apache.ibatis.annotations.Param;

/**
 * 导入人员信息Mapper接口
 * 
 * @author ruoyi
 * @date 2022-08-11
 */
public interface UserInfoMapper
{
    /**
     * 查询导入人员信息
     * 
     * @param id 导入人员信息主键
     * @return 导入人员信息
     */
    public UserInfo selectUserInfoById(Long id);

    /**
     * 查询导入人员信息列表
     * 
     * @param userInfo 导入人员信息
     * @return 导入人员信息集合
     */
    public List<UserInfo> selectUserInfoList(UserInfo userInfo);

    /**
     * 新增导入人员信息
     * 
     * @param userInfo 导入人员信息
     * @return 结果
     */
    public int insertUserInfo(UserInfo userInfo);

    /**
     * 修改导入人员信息
     * 
     * @param userInfo 导入人员信息
     * @return 结果
     */
    public int updateUserInfo(UserInfo userInfo);

    /**
     * 删除导入人员信息
     * 
     * @param id 导入人员信息主键
     * @return 结果
     */
    public int deleteUserInfoById(Long id);

    /**
     * 批量删除导入人员信息
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteUserInfoByIds(Long[] ids);

    List<OdsQssHsjcxx> thirdNucleicAcid(@Param("startTime") String startTime, @Param("endTime")String endTime, @Param("idCardList")List<String> idCardList);

    void insertUserInfoList(@Param("userList")List<UserInfo> userList);

    void insertUserInfoOne(UserInfo userInfo);
}
